package voyage;

/**
 * 
 * @author Lionel Mdini
 * @author Yannick Pri
 * @author Lotfi Sofiane Settouti
 * 
 * UFR informatique
 * Universit Claude Bernard Lyon 1
 *
 */

public class VolFactory extends AbstractVoyageFactory {
	private static VolFactory instance;

	private VolFactory() {
	}

	public Vol create() {
		return new VolImpl();		
	}
	
	public static VolFactory getInstance(){
		if (instance == null)
			instance = new VolFactory();
		return instance;
	}
}
