package reservation;

import voyage.TrajetRoutier;
import voyage.Vol;

/**
 * 
 * @author Lionel M�dini
 * @author Yannick Pri�
 * @author Lotfi Sofiane Settouti
 * 
 * UFR informatique
 * Universit� Claude Bernard Lyon 1
 *
 */

abstract class AbstractReservationBuilder {

    protected Reservation reservation;

    public Reservation getReservation() {
        return reservation;
    }

    public void createNewReservation(int val) {
        reservation = new Reservation();
        reservation.setIdentifiant(val);
    }

    public abstract void buildReservationVol(Vol v, Passager p);

    public abstract void buildReservationTrajetRoutier(TrajetRoutier t, Passager p);
}
