package reservation;

import voyage.*;

/**
 * 
 * @author Lionel Mdini
 * @author Yannick Pri
 * @author Lotfi Sofiane Settouti
 * 
 * UFR informatique
 * Universit Claude Bernard Lyon 1
 *
 */

public class Reservation {

    private int identifiant;
    private Voyage voyage;
    private Passager passager;

    public Passager getPassager() {
        return passager;
    }

    public void setPassager(Passager passager) {
        this.passager = passager;
    }

    public Voyage getVoyage() {
        return voyage;
    }

    public void setVoyage(Voyage voyage) {
        this.voyage = voyage;
    }

    public int getIdentifiant() {
        return this.identifiant;
    }

    public void setIdentifiant(int val) {
        this.identifiant = val;
    }
    
    public void affiche() {
        System.out.println("Reservation : " + identifiant);
        System.out.println("Passager : " + passager.getNom());
        System.out.println("Voyage : " + voyage.getDepart() + "-"+ voyage.getDestination());
    }
}
