package reservation;

import voyage.TrajetRoutier;
import voyage.Vol;

/**
 * 
 * @author Lionel M�dini
 * @author Yannick Pri�
 * @author Lotfi Sofiane Settouti
 * 
 * UFR informatique
 * Universit� Claude Bernard Lyon 1
 *
 */

public class ReservationBuilder extends AbstractReservationBuilder {

    private static ReservationBuilder instance;

    public void buildReservationVol(Vol v, Passager p) {
        reservation.setVoyage(v);
        reservation.setPassager(p);
    }

    public void buildReservationTrajetRoutier(TrajetRoutier t, Passager p) {
        reservation.setVoyage(t);
        reservation.setPassager(p);
    }

    public static ReservationBuilder getInstance() {
        if (instance == null) {
            instance = new ReservationBuilder();
        }
        return instance;
    }
}

